Debian Bug report logs - #393551
listarchives: search gives broken links

Package: listarchives; Maintainer for listarchives is (unknown);

Reported by: Johannes Wiedersich <johannes@physik.blm.tu-muenchen.de>

Date: Mon, 16 Oct 2006 20:48:18 UTC

Severity: important

Tags: confirmed

Done: Frans Pop <elendil@planet.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian List Archive Team <listarchives@debian.org>:
Bug#393551; Package listarchives. Full text and rfc822 format available.

Acknowledgement sent to Johannes Wiedersich <johannes@physik.blm.tu-muenchen.de>:
New Bug report received and forwarded. Copy sent to Debian List Archive Team <listarchives@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Wiedersich <johannes@physik.blm.tu-muenchen.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: listarchives: search gives broken links Searching debian list archives on
Date: Mon, 16 Oct 2006 22:16:48 +0200
Package: listarchives
Severity: important


Using firefox from testing [1] and just entering 'aptitude' into the
search field, leaving all filters at default settings, I get a page with
9 results.

For example in the source of the results page the link is given as

http://lists.debian.org//srv/lists.debian.org/www/debian-user/2006/debian-user-2
00607/msg00017.html

while the valid page for the corresponding message would be

http://lists.debian.org/debian-user/2006/07/msg00017.html

Thanks for fixing this.

Johannes

[1] Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.7) Gecko/20060830 Firefox/1 .5.0.7 
(Debian-1.5.dfsg+1.5.0.7-1)




-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)



Tags added: confirmed Request was from Account for Justin Pryzby <justinpryzby@webmin.steelfarms.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Frans Pop <elendil@planet.nl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Johannes Wiedersich <johannes@physik.blm.tu-muenchen.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 393551-done@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 393551-done@bugs.debian.org
Subject: Bug#393551: listarchives: search gives broken links
Date: Sat, 25 Nov 2006 18:31:12 +0100
[Message part 1 (text/plain, inline)]
This has been fixed now. Thanks for reporting the issue.

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Message #13 received at 393551-done@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <zobel@ftbfs.de>
To: 393551-done@bugs.debian.org
Cc: listmaster@lists.debian.org
Subject: done
Date: Sat, 25 Nov 2006 18:49:45 +0100
<fjp> zobel: #393551 is fixed now.

Greetings
Martin, Debian Listmaster of the day
-- 
[root@debian /root]# man real-life
No manual entry for real-life




Bug reopened, originator not changed. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian List Archive Team <listarchives@debian.org>:
Bug#393551; Package listarchives. Full text and rfc822 format available.

Message #18 received at 393551@bugs.debian.org (full text, mbox):

From: Simon Paillard <simon.paillard@resel.enst-bretagne.fr>
To: Andreas Vent-Schmidt <a.vent@procommerz.de>
Cc: debian-www@lists.debian.org, listarchives@debian.org
Subject: Re: Links in lists archive don't work
Date: Tue, 28 Nov 2006 12:51:48 +0100
reopen 393551
thanks

The issue you reported has already been reported as
http://bugs.debian.org/393551 on the listarchives pseudo-packages.
By the way, the correct way to reach listarchives people is
listarchives@d.o (they are in CC) as indicated in the bottom of
http://lists.debian.org/search.html

#393551 has been fixed only for the recent archives: the ones before
June 2006 still return bad links :
http://lists.debian.org//org/lists.debian.org/www/debian-isp/2006/debian-isp-200604/msg00097.html

On Tue, Nov 28, 2006 at 10:37:06AM +0100, Andreas Vent-Schmidt wrote:
> Hello,
> 
> there is a problem with the Debian lists archive: when searching for a 
> topic on (http://lists.debian.org/search.html), some of the links on 
> the result page don't work.
> 
> I've done the following:
> 
> - opened http://lists.debian.org/search.html
> - filled in the form with some values
>   (search term: "RBL", list to search: "isp", Date filter: selected
>   all from top until "Jan to Mar 2005"
> - clicked on "search" button
> - I've got a page with approx. 100 result entries
> 
> Now, when clicking onto some of them, the link is broken and a "404 - 
> not found" error shows up.
> 
> The problem is only there for some entries - most of them work 
> perfectly. For instance, the list article "Re: OT: sorbs blacklisting 
> scam" will not link properly. The URL shown in the status bar on 
> mouseOver is:
> 
> http://lists.debian.org//org/lists.debian.org/www/debian-isp/2006/debian-isp-200604/msg00097.html
> 
> but the final URL in the address field (after building the error page) 
> is "http://lists.debian.org//org/04/msg00097.html" (because of 
> mod_rewrite, I guess).
> 
> Well, maybe you're interested in fixing that.

Regards, 

-- 
Simon Paillard


-- 
To UNSUBSCRIBE, email to debian-www-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, marcos.lazarini@gmail.com, Debian List Archive Team <listarchives@debian.org>:
Bug#393551; Package listarchives. Full text and rfc822 format available.

Acknowledgement sent to Marcos Lazarini <marcos.lazarini@gmail.com>:
Extra info received and forwarded to list. Copy sent to marcos.lazarini@gmail.com, Debian List Archive Team <listarchives@debian.org>. Full text and rfc822 format available.

Message #23 received at 393551@bugs.debian.org (full text, mbox):

From: Marcos Lazarini <marcos.lazarini@gmail.com>
To: Debian Bug Tracking System <393551@bugs.debian.org>
Subject: listarchives: Problems with archives until Jun/2006
Date: Wed, 10 Jan 2007 01:40:46 -0200
Package: listarchives
Followup-For: Bug #393551

Hi,

While checking the debian-user-portuguese archives, I've noticed that this bug 
occurs to messages archived before Jun/2006 (including Jun). Messages with 
dates after this (>= Jul/2006) will have the correct links generated.

Pehaps it is something related with old indexes from the archives?

--
Marcos


-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)



Reply sent to Frans Pop <elendil@planet.nl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Johannes Wiedersich <johannes@physik.blm.tu-muenchen.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 393551-done@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: debian-www@lists.debian.org, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, 393551-done@bugs.debian.org
Cc: Andreas Vent-Schmidt <a.vent@procommerz.de>, listarchives@debian.org
Subject: Re: Bug#393551: Links in lists archive don't work
Date: Sun, 21 Jan 2007 23:27:42 +0100
[Message part 1 (text/plain, inline)]
On Tuesday 28 November 2006 12:51, Simon Paillard wrote:
> #393551 has been fixed only for the recent archives: the ones before
> June 2006 still return bad links :
> http://lists.debian.org//org/lists.debian.org/www/debian-isp/2006/debia
>n-isp-200604/msg00097.html

The glimpse indexes for all lists have now been rebuilt, which means that 
any problems with broken links should now now be fixed.

Cheers,
Frans Pop
Debian List Master
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 07:50:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:23:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.